security:
    password_hashers:
        Symfony\Component\Security\Core\User\PasswordAuthenticatedUserInterface: 'auto'

    providers:
        app_user_provider:
            entity:
                class: App\Entity\User
                property: email

    firewalls:
        dev:
            pattern: ^/(_profiler|_wdt|assets|build)/
            security: false
        main:
            lazy: true
            provider: app_user_provider
            login_throttling:
                max_attempts: 5
                interval: '15 minutes'
            form_login:
                login_path: app_login
                check_path: app_login
                enable_csrf: true
            custom_authenticators:
                - App\Security\KeycloakAuthenticator
            entry_point: form_login
            logout:
                path: app_logout
                target: app_home

    role_hierarchy:
        ROLE_ROOT: [ROLE_ORGANIZER, ROLE_USER]
        ROLE_ORGANIZER: [ROLE_USER]

    access_control:
        - { path: ^/admin, roles: ROLE_ROOT }
        - { path: ^/mon-compte, roles: ROLE_USER }

when@test:
    security:
        password_hashers:
            Symfony\Component\Security\Core\User\PasswordAuthenticatedUserInterface:
                algorithm: auto
                cost: 4
                time_cost: 3
                memory_cost: 10
